Package twisted :: Package protocols :: Module sip :: Class Request

[frames | no frames]

## Class Request

    Message --+
              |
             Request

A Request for a URI

Method Summary
| `__init__(self, method, uri, version)`
| `__repr__(self)`
| `_getHeaderLine(self)`
Inherited from Message
| ``addHeader`(self, name, value)`
| ``bodyDataReceived`(self, data)`
| ``creationFinished`(self)`
| ``toString`(self)`

Class Variable Summary
Inherited from Message
`NoneType` | `length` = None

Generated by Epydoc 2.0 on Sat May 15 20:08:08 2004 | http://epydoc.sf.net